Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002164graphvizNeatopublic2011-11-23 20:292011-11-24 22:41
Reporterhosobe 
Assigned Toerg 
PrioritynormalSeveritynormalReproducibilityalways
StatusclosedResolutionfixed 
PlatformMacOSMac OS XOS Version10.7.2
Summary0002164: A bug in calculation of shortest paths
DescriptionThe function s1 in lib/neatogen/stuff.c has the following lines:

if ((u = agtail(e)) == v)
    u = agtail(e); /* FIXME - isn't this redundant? Why the if? */

It seems to me that the second occurrence of agtail should be
aghead. Could anyone check this issue?
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSION2.29.20111123.0545
Attached Files

- Relationships

-  Notes
User avatar (0000122)
erg (administrator)
2011-11-24 22:41

You are correct. The original code was correct but was transcribed incorrectly on 2008/10/23, changing
            if ((u = e->head) == v)
                u = e->tail;
to
            if ((u = agtail(e)) == v)
                u = agtail(e);
Fortunately, we had switched to stress majorization as the default by this time, so this code is rarely used.

- Issue History
Date Modified Username Field Change
2011-11-23 20:29 hosobe New Issue
2011-11-24 22:41 erg Note Added: 0000122
2011-11-24 22:41 erg Assigned To => erg
2011-11-24 22:41 erg Status new => closed
2011-11-24 22:41 erg Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker